package com.hzya.frame.sys.versionParameter.dao.impl;


import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.versionParameter.dao.ISysVersionParameterMapper;
import com.hzya.frame.sys.versionParameter.entity.SysVersionParameter;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description: 应用表  dao
 * @tableName: sys_app
 * @entityName: SysApp
 * @author: llg
 * @history:1.0
 */
@Service
public class SysVersionParameterMapperImpl extends MybatisGenericDao<SysVersionParameter, String> implements ISysVersionParameterMapper {


    @Override
    public SysVersionParameter entity_get(Integer id) {

        SysVersionParameter o = (SysVersionParameter) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    @Override
    public List<SysVersionParameter> entity_list_base(SysVersionParameter SysVersionParameter) {

        List<SysVersionParameter> o = super.query(getSqlIdPrifx() + "entity_list_base", SysVersionParameter);
        return o;

    }

    @Override
    public List<SysVersionParameter> entity_list_like(SysVersionParameter SysVersionParameter) {

        List<SysVersionParameter> o = super.query(getSqlIdPrifx() + "entity_list_like", SysVersionParameter);
        return o;
    }

    @Override
    public List<SysVersionParameter> entity_list_or(SysVersionParameter SysVersionParameter) {

        List<SysVersionParameter> o = super.query(getSqlIdPrifx() + "entity_list_or", SysVersionParameter);
        return o;

    }

    @Override
    public Integer entity_insert(SysVersionParameter SysVersionParameter) {

        Integer o = super.insert(getSqlIdPrifx() + "entity_insert", SysVersionParameter);
        return o;

    }

    @Override
    public Integer entity_update(SysVersionParameter SysVersionParameter) {

        Integer o = super.update(getSqlIdPrifx() + "entity_update", SysVersionParameter);
        return o;

    }

    @Override
    public Integer entity_delete(SysVersionParameter SysVersionParameter) {

        Integer o = super.update(getSqlIdPrifx() + "entity_delete", SysVersionParameter);
        return o;

    }

    @Override
    public Integer logicDelete_Multi_Condition(SysVersionParameter SysVersionParameter) {

        Integer o = super.update(getSqlIdPrifx() + "logicDelete_Multi_Condition", SysVersionParameter);
        return o;
    }
}
